package com.gic.haoban.manage.web.vo.content.statistics;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/3/23 11:43 AM
 * @Description
 * @Version
 * 门店纬度使用数据
 **/
public class MaterialAreaUsedDataVO implements Serializable {

    private static final long serialVersionUID = -6389925840088323751L;
    /**
     * 日均使用素材导购数
     */
    private Integer dayAvgUseMatlNum;

    /**
     * 日均导购使用占比
     */
    private BigDecimal dayAvgUseRate;

    /**
     * 点击客户数
     */
    private Integer clickUserNum;

    /**
     * 客户点击环比
     */
    private BigDecimal userClickNumRatio;

    /**
     * 转化客户数
     */
    private Integer convUserNum;

    /**
     * 客户转化环比
     */
    private BigDecimal convUserNumRatio;

    /**
     * 客户转化金额
     */
    private BigDecimal convSalesNmt;

    /**
     * 转化金额排名
     */
    private Integer convSalesAmtRank;

    /**
     * 转化金额环比
     */
    private BigDecimal convSalesAmtRatio;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店名称
     */
    private String storeName;

    public Integer getDayAvgUseMatlNum() {
        return dayAvgUseMatlNum;
    }

    public void setDayAvgUseMatlNum(Integer dayAvgUseMatlNum) {
        this.dayAvgUseMatlNum = dayAvgUseMatlNum;
    }

    public BigDecimal getDayAvgUseRate() {
        return dayAvgUseRate;
    }

    public void setDayAvgUseRate(BigDecimal dayAvgUseRate) {
        this.dayAvgUseRate = dayAvgUseRate;
    }

    public Integer getClickUserNum() {
        return clickUserNum;
    }

    public void setClickUserNum(Integer clickUserNum) {
        this.clickUserNum = clickUserNum;
    }

    public Integer getConvUserNum() {
        return convUserNum;
    }

    public void setConvUserNum(Integer convUserNum) {
        this.convUserNum = convUserNum;
    }

    public BigDecimal getConvSalesNmt() {
        return convSalesNmt;
    }

    public void setConvSalesNmt(BigDecimal convSalesNmt) {
        this.convSalesNmt = convSalesNmt;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public BigDecimal getUserClickNumRatio() {
        return userClickNumRatio;
    }

    public void setUserClickNumRatio(BigDecimal userClickNumRatio) {
        this.userClickNumRatio = userClickNumRatio;
    }

    public BigDecimal getConvUserNumRatio() {
        return convUserNumRatio;
    }

    public void setConvUserNumRatio(BigDecimal convUserNumRatio) {
        this.convUserNumRatio = convUserNumRatio;
    }

    public Integer getConvSalesAmtRank() {
        return convSalesAmtRank;
    }

    public void setConvSalesAmtRank(Integer convSalesAmtRank) {
        this.convSalesAmtRank = convSalesAmtRank;
    }

    public BigDecimal getConvSalesAmtRatio() {
        return convSalesAmtRatio;
    }

    public void setConvSalesAmtRatio(BigDecimal convSalesAmtRatio) {
        this.convSalesAmtRatio = convSalesAmtRatio;
    }
}
